Module java.desktop
Package javax.swing.plaf.basic

## Class BasicFileChooserUI.DoubleClickListener

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - javax.swing.plaf.basic.BasicFileChooserUI.DoubleClickListener

All Implemented Interfaces:
  MouseListener, MouseMotionListener, MouseWheelListener, EventListener

Enclosing class:
  BasicFileChooserUI

    protected class BasicFileChooserUI.DoubleClickListener
    extends MouseAdapter

A double click listener.

### Constructor Summary

Constructors
Constructor and Description
`DoubleClickListener(JList<?> list)` Constucts a `DoubleClickListener`.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `mouseClicked(MouseEvent e)` Invoked when the mouse button has been clicked (pressed and released) on a component.
`void` `mouseEntered(MouseEvent e)` The JList used for representing the files is created by subclasses, but the selection is monitored in this class.

### Methods inherited from class java.awt.event.MouseAdapter

`mouseDragged, mouseExited, mouseMoved, mousePressed, mouseReleased, mouseWheelMoved`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DoubleClickListener

    public DoubleClickListener(JList<?> list)

Constucts a `DoubleClickListener`.

Parameters:
  `list` - the lsit

### Method Detail

#### mouseEntered

    public void mouseEntered(MouseEvent e)

The JList used for representing the files is created by subclasses, but the selection is monitored in this class. The TransferHandler installed in the JFileChooser is also installed in the file list as it is used as the actual transfer source. The list is updated on a mouse enter to reflect the current data transfer state of the file chooser.

Specified by:
  `mouseEntered` in interface `MouseListener`
Overrides:
  `mouseEntered` in class `MouseAdapter`
Parameters:
  `e` - the event to be processed

#### mouseClicked

    public void mouseClicked(MouseEvent e)

Invoked when the mouse button has been clicked (pressed and released) on a component.

Specified by:
  `mouseClicked` in interface `MouseListener`
Overrides:
  `mouseClicked` in class `MouseAdapter`
Parameters:
  `e` - the event to be processed